import React from 'react';
import ReactDOM from 'react-dom';
import { createStore, applyMiddleware } from 'redux';
import {Provider} from 'react-redux';
import reducer from './src/reducer';
import middleware from './src/middleware';
import Main from './src/main';

const applicationStore = applyMiddleware(middleware)(createStore)(reducer);

ReactDOM.render(
  <Provider store={applicationStore}>
    <Main />
  </Provider>,
  document.getElementById('main')
);