var path = require('path');
var webpack = require('webpack');
var ExtractTextPlugin = require('extract-text-webpack-plugin');

module.exports = {
  entry: [
    './index.html',
    './app.js',
    './src/styles.scss'
  ],
  output: {path: __dirname + '/dist', filename: './bundle.js'},
  module: {
    loaders: [
      {
        test: /.jsx?$/,
        loader: 'babel-loader',
        exclude: /node_modules/,
        query: {
          presets: ['es2015', 'react', 'stage-2']
        }
      },
      {
        test: /\.scss$/,
        loader: ExtractTextPlugin.extract('css-loader!sass-loader')
      },
      {
        test: /\.(jpe?g|gif|png|svg|woff|ttf|html)$/,
        loader: "file-loader?name=[path][name].[ext]&context=./"
      }
    ]
  },
  plugins: [
    new ExtractTextPlugin('./bundle.css', {allChunks: true})
  ]
};